Description

The shape of the target is not always planar. The target can be rotated around an axis (e.g vertical one) in order to face a telescope

thus reducing the amount of material crossed by a reaction product. It is necessary to upgrade the algorithm which defines the

interaction point inside the target.  

In the picture below

The target is black, its boundingbox is grey,  the beam axis is lilac, the diagonal of the boundingbox is green, the path of an ion is

orange. The path inside the target is thick orange, it has the length l.  X- is the interaction point. X0 and x0+l - the points where the

trajectory of an ion crosses the target boundary.

The interaction probability should depend on l. Convoluted with the beam profile and angular distributiion it will give the correct

distribution of the interaction poins in space. If the nuclear interaction length is Lambda. The probability of the interaction can be

normalized to its maxilum possible value i.e. (1-exp(-A/Lambda)) 

 It is necessary to study how Vitaly uses the ROOT geometry navigation in reconstruction and generalize the definition of the

interaction point for the complex (but convex) shape of the target.  The case of thin target when the distribution of the interaction

points along l is uniform, can be implemented first. 

 target.png 

Comments and questions are welcome!

 

Subtasks:

Developing # 192: Тестирование распада в мишени произвольной формы Закрыта

History

#1 - 04/17/2018 09:17 PM - Sergey Belogurov

- Description updated

#2 - 04/17/2018 09:18 PM - Sergey Belogurov

- File deleted (target.png)

#3 - 04/17/2018 09:19 PM - Sergey Belogurov

- Description updated

#4 - 04/18/2018 05:57 PM - Mikhail Kozlov

I've three questions:

1) Is it true that the nuclear interaction length is https://en.wikipedia.org/wiki/Nuclear_interaction_length ?

2) Is Lambda the parameter that defined by user through interface or we recieve it from the GEANT methods?

3) What is the probability of interaction: parameter that we've not used yet? How to normilize it with respect to (1-exp(-A/Lambda)? 

#5 - 04/18/2018 07:57 PM - Sergey Belogurov
- Description updated

1) Roughly speaking –yes  2) Lambda is the parameter defined by user through interface 3) In reality many ions pass throug the target without

nuclear interactions. For planar targets perpendicular to the ion beam, the probability of the nuclear interaction is qual for all the ions. For this reason

we normally neglected the ions passed throiug and assumed that each incident nucleus interacts, we only define the position of the interaction, 

However in the case of complex shape of the target the interaction probability depends on the thickness  of the target  material  crossed by the ion. 

The maximum possible interaction probability is  (1-exp(-A/Lambda)). To normalize the interaction probability for every particular trajectory meanse calculate the following:    (1-exp(-l/Lambda)) /(1-exp(-A/Lambda)). We neglect the fact that many ions go through without nuclear interaction. We still let some (less number than in reality) ions to go throug, but

we reproduce correct distribution in space of the interacion points.  

Is it getting more clear?

#6 - 07/10/2018 09:04 AM - Vitaliy Schetinin

Статус по этой задаче?

#7 - 07/11/2018 07:31 AM - Vitaliy Schetinin

Ветку влил - задачу закрыл

#8 - 07/12/2018 11:24 AM - Mikhail Kozlov

- Status changed from Открыта to Закрыта
